function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
// 将树扁平化
export var flattenTreeData = function flattenTreeData(data, arr) {
  var cloneData = JSON.parse(JSON.stringify(data));
  if (!Array.isArray(data)) return [];
  return cloneData.reduce(function (prev, next) {
    prev.push(next);
    var children = next.children;
    if (Array.isArray(children)) {
      flattenTreeData(children, arr);
    }
    return arr;
  }, arr);
};
// 将数组变成map
export var transformArryToMap = function transformArryToMap(arrs) {
  var treeDataMap = new Map();
  arrs.forEach(function (data) {
    var id = data.id;
    if (!id) return;
    if (treeDataMap.has(id)) {
      var datas = treeDataMap.get(id);
      if (!datas) return;
      datas.push(data);
      treeDataMap.set(id, datas);
    } else {
      treeDataMap.set(id, [data]);
    }
  });
  return treeDataMap;
};
export var filterTreeKeys = function filterTreeKeys(key, map) {
  if (typeof key !== 'string') return [];
  var arr = key.split('_');
  return map.get(arr.length === 2 ? arr[1] : arr[0]);
};
// 将所有符合条件的数据放入数组中
export var traverseKeys = function traverseKeys(keys, map) {
  var arr = [];
  keys.forEach(function (key) {
    arr = arr.concat(filterTreeKeys(key, map));
  });
  // 数据进行去重
  return Array.from(new Set(arr)).map(function (item) {
    return item.key;
  });
};
// 将数组转化为map
export var generateMapfromArray = function generateMapfromArray(array) {
  var map = new Map();
  array.filter(function (item) {
    return item.isLeaf;
  }).forEach(function (item) {
    var id = item.id;
    map.set(id, item);
  });
  return map;
};
export var addKeyByArrayMap = function addKeyByArrayMap(list, isEmployee) {
  return list.map(function (item) {
    return _objectSpread(_objectSpread({}, item), {}, {
      key: item.id,
      title: item.name,
      isEmployee: isEmployee
    });
  });
};