"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.get = get;
exports.post = post;
var _axios = _interopRequireDefault(require("axios"));
var _antd = require("antd");
var _jsCookie = _interopRequireDefault(require("js-cookie"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
var API_HOST = new Map([['dev', 'https://dev-gateway.fxqifu.net/pangu'], ['qa', 'https://qa-gateway.fxqifu.net/pangu'], ['prod', 'https://gateway.fxqifu.net/pangu']]);
var axiosConfig = {
  baseURL: 'https://gateway.fxqifu.net/pangu',
  timeout: 60000
};
var httpClient = _axios.default.create(axiosConfig);
// 登陆页面接口列表，不需要带token
var loginMap = [''];
httpClient.interceptors.request.use(function (config) {
  var _config$data = config.data,
    data = _config$data === void 0 ? {} : _config$data,
    method = config.method;
  var env = data.env;
  if (method === 'get') {
    var _env = config.env;
    if (_env) {
      config.baseURL = API_HOST.get(_env);
    }
  } else {
    if (env) {
      config.baseURL = API_HOST.get(env);
    }
    delete data.env;
  }
  config.headers['Content-Type'] = 'application/json;charset=UTF-8';
  if (loginMap.find(function (item) {
    return config.url.endsWith(item);
  })) {
    delete config.headers['authority_token'];
  } else {
    var tokenFrom = config['tokenFrom'];
    var token = '';
    switch (tokenFrom) {
      case 'cookie':
        token = _jsCookie.default.get('token');
        break;
      case 'localstorage':
        token = localStorage.getItem('token');
        break;
      default:
        token = _jsCookie.default.get('token') || localStorage.getItem('token');
    }
    config.headers['authority_token'] = token;
  }
  return config;
}, function (err) {
  _antd.notification.error({
    message: '发送请求失败',
    // @ts-ignore
    description: err
  });
  return false;
});
httpClient.interceptors.response.use(function (res) {
  var status = res.status,
    data = res.data,
    statusText = res.statusText;
  return new Promise(function (resolve, reject) {
    if (status < 200 || status > 300) {
      _antd.notification.error({
        message: "\u8BF7\u6C42\u9519\u8BEF: ".concat(status),
        description: statusText
      });
    } else if (!data.success) {
      if (data.code === '915003') {
        return reject(data);
      }
      if (data.code === '100003') {
        return reject(data);
      }
      _antd.notification.error({
        message: '提示',
        description: data.message
      });
      return reject(data);
    } else {
      return resolve(data || true);
    }
    return reject();
  });
}, function () {
  _antd.notification.error({
    message: '提示',
    description: '系统错误'
  });
  return false;
});
function get(url, params, env) {
  return httpClient.get(url, _objectSpread(_objectSpread({}, params), {}, {
    env: env
  }));
}
function post(url, data, env) {
  return httpClient.post(url, _objectSpread(_objectSpread({}, data), {}, {
    env: env
  }));
}
var _default = exports.default = httpClient;